# norootforbuild

%define qmake /usr/lib/qt4/bin/qmake

Name:		basqet
Version:	0.2.0.rev135
Release:	%mkrel 7.1
License:	GPL
Group:		Graphical desktop/Razor
Summary:	Basqet - Notes and Data in Baskets
URL:		http://code.google.com/p/basqet/
Source:		release_0.2.0-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++, libqt4-devel, qt4-linguist
Prefix:		/usr

%description
%{summary}

%prep
%setup -q -n release_0.2.0-%{version}

%build
%{qmake} PREFIX=/usr
%{__make}

%install
%{makeinstall} INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc gpl-3.0.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Nov 30 2011 Texstar <texstar at gmail.com> 0.2.0.rev135-1pclos2011
- import into pclos
